GearmanJob::data
GearmanJob::fail
GearmanJob
PHP Manual

# GearmanJob::exception

(PECL gearman <= 0.5.0)

GearmanJob::exception — Send exception for running job (deprecated)

### Descrição

public bool GearmanJob::exception ( string `$exception` )

Sends the supplied exception when this job is running.

> Nota: This method has been replaced by GearmanJob::sendException in the 0.6.0 release of the Gearman extension.

### Parâmetros

`exception`

  An exception description.

### Valor Retornado

Retorna `TRUE` em caso de sucesso ou `FALSE` em falhas.

### Veja Também

- GearmanJob::setReturn - Set a return value
- GearmanJob::sendStatus - Send status
- GearmanJob::sendWarning - Send a warning

GearmanJob::data
GearmanJob::fail
GearmanJob
PHP Manual